EDIT - feature request #9224

openlayers map handles server error per layer and presents a user message

09/14/2020 01:08 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

in openlayers_layers.js error handlers need to be implemented that allow for presenting user messages in case of server,

networkerrors.

The call to the edit mapservice at edit_wp5/v1.4_dev/rest_gen.php also needs to be covered, not only the retrieval of the layer

content.

The message will be presented as Ul element positioned on top of all layers. There will be a default message "The map is broken

due to problems with the map server."

A second message to be displayed below the default message will be configurable via the admin settings.

Associated revisions

Revision 9f2631d1 - 09/22/2020 06:36 PM - Andreas Kohlbecker

ref #9224 preliminar implementation of map server error feedback to users

Revision 30b0d98b - 09/22/2020 06:41 PM - Andreas Kohlbecker

ref #9224 preliminar implementation of map server error feedback to users

Revision b2776a52 - 10/05/2020 02:11 PM - Andreas Kohlbecker

ref #9224 better error message in log

Revision 3e75dc06 - 10/05/2020 02:26 PM - Andreas Kohlbecker

ref #9224 error messages control with defined dom element id

Revision 92178800 - 10/05/2020 10:42 PM - Andreas Kohlbecker

ref #9224 adapting openlayers map from jsonp to json ajax

Revision fc4f8c8d - 11/19/2020 07:05 PM - Andreas Kohlbecker

ref #9224 reporting WMS tile loading errors per layer in the message console

History

#1 - 09/22/2020 06:28 PM - Andreas Kohlbecker
- Status changed from New to In Progress
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.18

#2 - 09/22/2020 06:45 PM - Andreas Kohlbecker
- % Done changed from 0 to 30

made available to production servers as HFX release 5.17.1.

Needs more testing though regarding error conditions of the various layers.

#3 - 11/19/2020 01:42 PM - Andreas Kohlbecker
- Subject changed from openlayers map handles server error per layer and present a user message to openlayers map handles server error per layer
and presents a user message

#4 - 11/20/2020 05:08 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 30 to 100

fully solved
